package com.dsic.gj_erp.bean.jcsj.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmCzplpNew对象", description="")
public class PlExcelNew implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "批量")
    @ExcelProperty(index = 0)
    private String dcPL;



    @ApiModelProperty(value = "分段")
    @ExcelProperty(index = 1)
    private String dcFd;

    @ApiModelProperty(value = "吨位")
    @ExcelProperty(index = 2)
    private BigDecimal zl;

    @ApiModelProperty(value = "钢加结束")
    @ExcelProperty(index = 3)
    @DateTimeFormat("yyyy/MM/dd")
    private String  xzjsq;

    @ApiModelProperty(value = "钢加开始")
    @ExcelProperty(index = 4)
    @DateTimeFormat("yyyy/MM/dd")
    private String gjks;


    @ApiModelProperty(value = "套料图")
    @ExcelProperty(index = 5)
    @DateTimeFormat("yyyy/MM/dd")
    private String xfqTlt;

    @ApiModelProperty(value = "板材领取表")
    @ExcelProperty(index = 6)
    @DateTimeFormat("yyyy/MM/dd")
    private String xfqLqb;

    @ApiModelProperty(value = "订货清单发放")
    @ExcelProperty(index = 7)
    @DateTimeFormat("yyyy/MM/dd")
    private String xfqDhqd;

    @ApiModelProperty(value = "钢料到齐时间")
    @ExcelProperty(index = 8)
    @DateTimeFormat("yyyy/MM/dd")
    private String bcdq;

    @ApiModelProperty(value = "备注")
    @ExcelProperty(index = 9)
    private String bz;









}
